/*
 * SPDX-License-Identifier: AGPL-3.0-only
 * Copyright (c) Camden Dixie O'Brien
 *
 * Fatal error module.
 *
 * This small module provides the FATAL() macro, intended to be used
 * to signal a fatal error. This prompts a system restart.
 */

#ifndef FATAL_H
#define FATAL_H

/**
 * Signals a fatal error.
 */
#define FATAL() _fatal(__func__, __FILE__, __LINE__)

void _fatal(const char *func, const char *file, unsigned line);

#endif
